# H245_CommandMessage Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_maintenanceLoopOffCommand, e_sendTerminalCapabilitySet, e_encryptionCommand, e_flowControlCommand, e_endSessionCommand, e_miscellaneousCommand, e_communicationModeCommand, e_conferenceCommand, e_h223MultiplexReconfiguration, e_newATMVCCommand, e_mobileMultilinkReconfigurationCommand, e_genericCommand }

## Public Member Functions

| H245_CommandMessage (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardMessage & ()
| operator const H245_NonStandardMessage & () const
| operator H245_MaintenanceLoopOffCommand & ()
| operator const H245_MaintenanceLoopOffCommand & () const
| operator H245_SendTerminalCapabilitySet & ()
| operator const H245_SendTerminalCapabilitySet & () const
| operator H245_EncryptionCommand & ()
| operator const H245_EncryptionCommand & () const
| operator H245_FlowControlCommand & ()
| operator const H245_FlowControlCommand & () const
| operator H245_EndSessionCommand & ()
| operator const H245_EndSessionCommand & () const
| operator H245_MiscellaneousCommand & ()
| operator const H245_MiscellaneousCommand & () const
| operator H245_CommunicationModeCommand & ()
| operator const H245_CommunicationModeCommand & () const
| operator H245_ConferenceCommand & ()
| operator const H245_ConferenceCommand & () const
| operator H245_H223MultiplexReconfiguration & ()
| operator const H245_H223MultiplexReconfiguration & () const
| operator H245_NewATMVCCommand & ()
| operator const H245_NewATMVCCommand & () const
| operator H245_MobileMultilinkReconfigurationCommand & ()
| operator const H245_MobileMultilinkReconfigurationCommand & () const
| operator H245_GenericMessage & ()
| operator const H245_GenericMessage & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_CommandMessage::Choices

Enumerator:

  e_nonStandard |
  e_maintenanceLoopOffCommand |
  e_sendTerminalCapabilitySet |
  e_encryptionCommand |
  e_flowControlCommand |
  e_endSessionCommand |
  e_miscellaneousCommand |
  e_communicationModeCommand |
  e_conferenceCommand |
  e_h223MultiplexReconfiguration |
  e_newATMVCCommand |
  e_mobileMultilinkReconfigurationCommand |
  e_genericCommand |

## Constructor & Destructor Documentation

H245_CommandMessage::H245_CommandMessage | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_CommandMessage::operator H245_NonStandardMessage & | ( |  | ) |

H245_CommandMessage::operator const H245_NonStandardMessage & | ( |  | ) | const

H245_CommandMessage::operator H245_MaintenanceLoopOffCommand & | ( |  | ) |

H245_CommandMessage::operator const H245_MaintenanceLoopOffCommand & | ( |  | ) | const

H245_CommandMessage::operator H245_SendTerminalCapabilitySet & | ( |  | ) |

H245_CommandMessage::operator const H245_SendTerminalCapabilitySet & | ( |  | ) | const

H245_CommandMessage::operator H245_EncryptionCommand & | ( |  | ) |

H245_CommandMessage::operator const H245_EncryptionCommand & | ( |  | ) | const

H245_CommandMessage::operator H245_FlowControlCommand & | ( |  | ) |

H245_CommandMessage::operator const H245_FlowControlCommand & | ( |  | ) | const

H245_CommandMessage::operator H245_EndSessionCommand & | ( |  | ) |

H245_CommandMessage::operator const H245_EndSessionCommand & | ( |  | ) | const

H245_CommandMessage::operator H245_MiscellaneousCommand & | ( |  | ) |

H245_CommandMessage::operator const H245_MiscellaneousCommand & | ( |  | ) | const

H245_CommandMessage::operator H245_CommunicationModeCommand & | ( |  | ) |

H245_CommandMessage::operator const H245_CommunicationModeCommand & | ( |  | ) | const

H245_CommandMessage::operator H245_ConferenceCommand & | ( |  | ) |

H245_CommandMessage::operator const H245_ConferenceCommand & | ( |  | ) | const

H245_CommandMessage::operator H245_H223MultiplexReconfiguration & | ( |  | ) |

H245_CommandMessage::operator const H245_H223MultiplexReconfiguration & | ( |  | ) | const

H245_CommandMessage::operator H245_NewATMVCCommand & | ( |  | ) |

H245_CommandMessage::operator const H245_NewATMVCCommand & | ( |  | ) | const

H245_CommandMessage::operator H245_MobileMultilinkReconfigurationCommand & | ( |  | ) |

H245_CommandMessage::operator const H245_MobileMultilinkReconfigurationCommand & | ( |  | ) | const

H245_CommandMessage::operator H245_GenericMessage & | ( |  | ) |

H245_CommandMessage::operator const H245_GenericMessage & | ( |  | ) | const

PBoolean H245_CommandMessage::CreateObject | ( |  | ) |

PObject* H245_CommandMessage::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h